#
# spec file for package cputype-armv7
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cputype-armv7
Version:        20190430
Release:        4.3
Source1:        ldpreload-cputype-armv7.sh
Source2:        fake-uname-to-armv7.c
Summary:        Exports a LD_PRELOAD to fake uname to armv7l
License:        GPL-2.0-only
Group:          Development/Libraries/Cross
Provides:       qemu-cputype-armv7 = %version
Obsoletes:      qemu-cputype-armv7 < %version
#ExclusiveArch:  armv7l armv7hl

%description
This package provides an easy way for build jobs to force the CPU reported
to be ARMv7.

This helps to make sure that uname returns armv7 and that the instructions we
execute are only within the ARMv7 instruction space.

%prep
%setup -q -T -c -n %{name}

%build
gcc %{optflags} -shared -fPIC -o libfakearmv7l.so %{SOURCE2} -ldl
LD_PRELOAD=$PWD/libfakearmv7l.so /bin/uname -m

%install
install -D -m 755 libfakearmv7l.so %{buildroot}/%{_lib}/libfakearmv7l.so
mkdir -p %{buildroot}/etc/profile.d
install -m 644 %{SOURCE1} %{buildroot}/etc/profile.d/ldpreload-cputype-armv7.sh

%files
/etc/profile.d
/%{_lib}/libfakearmv7l.so

%changelog
* Sun Jul 16 2023 Matwey Kornilov <matwey.kornilov@gmail.com>
- fix build for Factory
* Tue May 11 2021 ro@suse.de
- clone package for armv7l
* Tue Apr 30 2019 Dirk Mueller <dmueller@suse.com>
- update to 20190430 (bsc#1132956)
* Tue Feb 20 2018 dmueller@suse.com
- initial package
