#define _GNU_SOURCE

#include <stdio.h>
#include <dlfcn.h>
#include <string.h>
#include <stdlib.h>     /* for EXIT_FAILURE */
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/utsname.h>
#include <limits.h>
#include <errno.h>

typedef int (*uname_t) (struct utsname * buf);

int uname(struct utsname *buf)
{
   int ret;
   uname_t real_uname = (uname_t) dlsym(RTLD_NEXT, "uname");

   if ( real_uname == NULL ) {
       printf("%s", dlerror());
       exit(EXIT_FAILURE);
   }

   ret = real_uname((struct utsname *) buf);
   memset(buf->machine, 0, sizeof(buf->machine));
   strncpy(buf->machine, "armv7l", sizeof(buf->machine)-1) ;

   return ret;
}
